// one step covers 18 units


#include "leg-skin.inc"
#include "body-skin.inc"

#declare PlayerStepsize=18;
#declare PlayerStepstates=10;

#declare teamA=0;
#declare teamB=1;
#declare referee=2;

#macro BasicRobot (team, label, left_step, right_step)

// texture

#switch (team)
#case (0)
    #local teamskin= teamMAMskin
    #local teamripskin= teamMAMripMskin
#break
#case (1)
    #local teamskin= teamMBMskin
    #local teamripskin= teamMBMripMskin
#break
#else
    #local teamskin= teamMXMskin
    #local teamripskin= teamMXMripMskin
#end

//
// ********  OBJECTS  Legs *******
//

#declare foot11 = union {
  cylinder { // Cylndr221
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.7, 0.7, 1.0>
    rotate -90.0*y
    translate  <0.5, 0.0, 5.0>
  }
  cylinder { // Cylndr222
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    translate  3.0*z
  }
  cylinder { // Cylndr223
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 1.5, 1.0>
    translate  <0.0, -0.730131, 2.820377>
  }
  cylinder { // Cylndr224
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr225
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 2.0>
    rotate -62.596294*x
    translate  <0.0, -1.994712, 3.417017>
  }
  cylinder { // Cylndr226
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 0.8, 0.2>
    rotate -90.0*y
    translate  <0.1, 0.0, 5.0>
  }
  cylinder { // Cylndr227
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.9, 1.6, 0.5>
    translate  <0.0, -0.736314, 2.577158>
  }
  rotate -0.0*x
  translate  <0.0, 0.0, -5.009369>
  rotate 41.691196*x
  translate  -4.96*z
}
#declare lowerleg11 = union {
  cylinder { // Cylndr228
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.85, 0.85, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr229
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 5.0>
  }
  cylinder { // Cylndr230
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.4>
    rotate -90.0*y
    translate  <0.7, 0.0, 5.0>
  }
  cylinder { // Cylndr231
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.3, 5.0>
    rotate -1.781631*x
    translate  <0.0, 0.331235, -0.039922>
  }
  cylinder { // Cylndr232
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.1, 1.1, 0.3>
    rotate -90.0*y
    translate  <0.15, 0.0, 5.0>
  }
  rotate 0.0*x
  translate  <0.0, -0.0, -5.011903>
  translate  0.011903*z
}
#declare legpartlow11 = union {
  object { foot11 }
  object { lowerleg11 }
  rotate -93.600601*x
}
#declare upperleg11 = union {
  cylinder { // Cylndr233
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    rotate -90.0*y
    translate  <0.5, 0.0, 4.0>
  }
  cylinder { // Cylndr234
    <0,0,1>, <0,0,0>, 1 
    material {
      teamripskin
    }
    scale <0.5, 0.5, 4.0>
  }
  cylinder { // Cylndr235
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 1.5>
    rotate -90.0*y
    translate  <0.75, 0.0, 4.0>
  }
  cylinder { // Cylndr236
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.166667, 0.333333, 4.166667>
    rotate -4.083894*x
    translate  <0.0, 0.287502, -0.066095>
  }
  cylinder { // Cylndr237
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.25, 1.25, 0.333333>
    rotate -90.0*y
    translate  <0.166667, 0.0, 4.0>
  }
  cylinder { // Cylndr238
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.333333, 0.333333, 2.5>
    rotate <-169.493759, 0.0, -0.0>
    translate  <0.0, -0.549376, 3.84116>
  }
  rotate 0.0*x
  translate  <0.0, 0.0, -4.0156>
  scale 1.2
  translate  4.81872*z
}
#declare legpart11 = union {
  object { legpartlow11 }
  object { upperleg11 }
  rotate 0.0*x
  translate  <0.0, 0.014693, -4.821539>
  rotate 72.591721*x
  translate  12.25*z
}
#declare Link11 = union {
  cylinder { // Cylndr239
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.5, 1.5, 1.6>
    rotate -90.0*y
    translate  <0.8, 0.0, 5.5>
  }
  cylinder { // Cylndr240
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.7, 1.7, 0.8>
    rotate -90.0*y
    translate  <0.4, 0.0, 5.5>
  }
  translate  7.5*z
}


#declare foot10 = union {
  cylinder { // Cylndr201
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.7, 0.7, 1.0>
    rotate -90.0*y
    translate  <0.5, 0.0, 5.0>
  }
  cylinder { // Cylndr202
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    translate  3.0*z
  }
  cylinder { // Cylndr203
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 1.5, 1.0>
    translate  <0.0, -0.730131, 2.820377>
  }
  cylinder { // Cylndr204
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr205
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 2.0>
    rotate -62.596294*x
    translate  <0.0, -1.994712, 3.417017>
  }
  cylinder { // Cylndr206
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 0.8, 0.2>
    rotate -90.0*y
    translate  <0.1, 0.0, 5.0>
  }
  cylinder { // Cylndr207
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.9, 1.6, 0.5>
    translate  <0.0, -0.736314, 2.577158>
  }
  rotate -0.0*x
  translate  <0.0, 0.0, -5.009369>
  rotate 35.62141*x
  translate  -4.96*z
}
#declare lowerleg10 = union {
  cylinder { // Cylndr208
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.85, 0.85, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr209
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 5.0>
  }
  cylinder { // Cylndr210
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.4>
    rotate -90.0*y
    translate  <0.7, 0.0, 5.0>
  }
  cylinder { // Cylndr211
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.3, 5.0>
    rotate -1.781631*x
    translate  <0.0, 0.331235, -0.039922>
  }
  cylinder { // Cylndr212
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.1, 1.1, 0.3>
    rotate -90.0*y
    translate  <0.15, 0.0, 5.0>
  }
  rotate 0.0*x
  translate  <0.0, -0.0, -5.011903>
  translate  0.011903*z
}
#declare legpartlow10 = union {
  object { foot10 }
  object { lowerleg10 }
  rotate -60.562595*x
}
#declare upperleg10 = union {
  cylinder { // Cylndr213
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    rotate -90.0*y
    translate  <0.5, 0.0, 4.0>
  }
  cylinder { // Cylndr214
    <0,0,1>, <0,0,0>, 1 
    material {
      teamripskin
    }
    scale <0.5, 0.5, 4.0>
  }
  cylinder { // Cylndr215
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 1.5>
    rotate -90.0*y
    translate  <0.75, 0.0, 4.0>
  }
  cylinder { // Cylndr216
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.166667, 0.333333, 4.166667>
    rotate -4.083894*x
    translate  <0.0, 0.287502, -0.066095>
  }
  cylinder { // Cylndr217
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.25, 1.25, 0.333333>
    rotate -90.0*y
    translate  <0.166667, 0.0, 4.0>
  }
  cylinder { // Cylndr218
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.333333, 0.333333, 2.5>
    rotate <-169.493759, 0.0, -0.0>
    translate  <0.0, -0.549376, 3.84116>
  }
  rotate 0.0*x
  translate  <0.0, 0.0, -4.0156>
  scale 1.2
  translate  4.81872*z
}
#declare legpart10 = union {
  object { legpartlow10 }
  object { upperleg10 }
  rotate 0.0*x
  translate  <0.0, 0.014693, -4.821539>
  rotate 61.736168*x
  translate  12.25*z
}
#declare Link10 = union {
  cylinder { // Cylndr219
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.5, 1.5, 1.6>
    rotate -90.0*y
    translate  <0.8, 0.0, 5.5>
  }
  cylinder { // Cylndr220
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.7, 1.7, 0.8>
    rotate -90.0*y
    translate  <0.4, 0.0, 5.5>
  }
  translate  7.5*z
}


#declare foot9 = union {
  cylinder { // Cylndr181
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.7, 0.7, 1.0>
    rotate -90.0*y
    translate  <0.5, 0.0, 5.0>
  }
  cylinder { // Cylndr182
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    translate  3.0*z
  }
  cylinder { // Cylndr183
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 1.5, 1.0>
    translate  <0.0, -0.730131, 2.820377>
  }
  cylinder { // Cylndr184
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr185
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 2.0>
    rotate -62.596294*x
    translate  <0.0, -1.994712, 3.417017>
  }
  cylinder { // Cylndr186
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 0.8, 0.2>
    rotate -90.0*y
    translate  <0.1, 0.0, 5.0>
  }
  cylinder { // Cylndr187
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.9, 1.6, 0.5>
    translate  <0.0, -0.736314, 2.577158>
  }
  rotate -0.0*x
  translate  <0.0, 0.0, -5.009369>
  rotate 2.232414*x
  translate  -4.96*z
}
#declare lowerleg9 = union {
  cylinder { // Cylndr188
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.85, 0.85, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr189
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 5.0>
  }
  cylinder { // Cylndr190
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.4>
    rotate -90.0*y
    translate  <0.7, 0.0, 5.0>
  }
  cylinder { // Cylndr191
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.3, 5.0>
    rotate -1.781631*x
    translate  <0.0, 0.331235, -0.039922>
  }
  cylinder { // Cylndr192
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.1, 1.1, 0.3>
    rotate -90.0*y
    translate  <0.15, 0.0, 5.0>
  }
  rotate 0.0*x
  translate  <0.0, -0.0, -5.011903>
  translate  0.011903*z
}
#declare legpartlow9 = union {
  object { foot9 }
  object { lowerleg9 }
  rotate -6.931223*x
}
#declare upperleg9 = union {
  cylinder { // Cylndr193
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    rotate -90.0*y
    translate  <0.5, 0.0, 4.0>
  }
  cylinder { // Cylndr194
    <0,0,1>, <0,0,0>, 1 
    material {
      teamripskin
    }
    scale <0.5, 0.5, 4.0>
  }
  cylinder { // Cylndr195
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 1.5>
    rotate -90.0*y
    translate  <0.75, 0.0, 4.0>
  }
  cylinder { // Cylndr196
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.166667, 0.333333, 4.166667>
    rotate -4.083894*x
    translate  <0.0, 0.287502, -0.066095>
  }
  cylinder { // Cylndr197
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.25, 1.25, 0.333333>
    rotate -90.0*y
    translate  <0.166667, 0.0, 4.0>
  }
  cylinder { // Cylndr198
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.333333, 0.333333, 2.5>
    rotate <-169.493759, 0.0, -0.0>
    translate  <0.0, -0.549376, 3.84116>
  }
  rotate 0.0*x
  translate  <0.0, 0.0, -4.0156>
  scale 1.2
  translate  4.81872*z
}
#declare legpart9 = union {
  object { legpartlow9 }
  object { upperleg9 }
  rotate 0.0*x
  translate  <0.0, 0.014693, -4.821539>
  rotate 30.455936*x
  translate  12.25*z
}
#declare Link9 = union {
  cylinder { // Cylndr199
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.5, 1.5, 1.6>
    rotate -90.0*y
    translate  <0.8, 0.0, 5.5>
  }
  cylinder { // Cylndr200
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.7, 1.7, 0.8>
    rotate -90.0*y
    translate  <0.4, 0.0, 5.5>
  }
  translate  7.5*z
}


#declare foot8 = union {
  cylinder { // Cylndr161
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.7, 0.7, 1.0>
    rotate -90.0*y
    translate  <0.5, 0.0, 5.0>
  }
  cylinder { // Cylndr162
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    translate  3.0*z
  }
  cylinder { // Cylndr163
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 1.5, 1.0>
    translate  <0.0, -0.730131, 2.820377>
  }
  cylinder { // Cylndr164
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr165
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 2.0>
    rotate -62.596294*x
    translate  <0.0, -1.994712, 3.417017>
  }
  cylinder { // Cylndr166
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 0.8, 0.2>
    rotate -90.0*y
    translate  <0.1, 0.0, 5.0>
  }
  cylinder { // Cylndr167
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.9, 1.6, 0.5>
    translate  <0.0, -0.736314, 2.577158>
  }
  rotate -0.0*x
  translate  <0.0, 0.0, -5.009369>
  rotate 16.234955*x
  translate  -4.96*z
}
#declare lowerleg8 = union {
  cylinder { // Cylndr168
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.85, 0.85, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr169
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 5.0>
  }
  cylinder { // Cylndr170
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.4>
    rotate -90.0*y
    translate  <0.7, 0.0, 5.0>
  }
  cylinder { // Cylndr171
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.3, 5.0>
    rotate -1.781631*x
    translate  <0.0, 0.331235, -0.039922>
  }
  cylinder { // Cylndr172
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.1, 1.1, 0.3>
    rotate -90.0*y
    translate  <0.15, 0.0, 5.0>
  }
  rotate 0.0*x
  translate  <0.0, -0.0, -5.011903>
  translate  0.011903*z
}
#declare legpartlow8 = union {
  object { foot8 }
  object { lowerleg8 }
  rotate -39.110119*x
}
#declare upperleg8 = union {
  cylinder { // Cylndr173
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    rotate -90.0*y
    translate  <0.5, 0.0, 4.0>
  }
  cylinder { // Cylndr174
    <0,0,1>, <0,0,0>, 1 
    material {
      teamripskin
    }
    scale <0.5, 0.5, 4.0>
  }
  cylinder { // Cylndr175
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 1.5>
    rotate -90.0*y
    translate  <0.75, 0.0, 4.0>
  }
  cylinder { // Cylndr176
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.166667, 0.333333, 4.166667>
    rotate -4.083894*x
    translate  <0.0, 0.287502, -0.066095>
  }
  cylinder { // Cylndr177
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.25, 1.25, 0.333333>
    rotate -90.0*y
    translate  <0.166667, 0.0, 4.0>
  }
  cylinder { // Cylndr178
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.333333, 0.333333, 2.5>
    rotate <-169.493759, 0.0, -0.0>
    translate  <0.0, -0.549376, 3.84116>
  }
  rotate 0.0*x
  translate  <0.0, 0.0, -4.0156>
  scale 1.2
  translate  4.81872*z
}
#declare legpart8 = union {
  object { legpartlow8 }
  object { upperleg8 }
  rotate 0.0*x
  translate  <0.0, 0.014693, -4.821539>
  rotate 22.882671*x
  translate  12.25*z
}
#declare Link8 = union {
  cylinder { // Cylndr179
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.5, 1.5, 1.6>
    rotate -90.0*y
    translate  <0.8, 0.0, 5.5>
  }
  cylinder { // Cylndr180
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.7, 1.7, 0.8>
    rotate -90.0*y
    translate  <0.4, 0.0, 5.5>
  }
  translate  7.5*z
}


#declare foot7 = union {
  cylinder { // Cylndr141
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.7, 0.7, 1.0>
    rotate -90.0*y
    translate  <0.5, 0.0, 5.0>
  }
  cylinder { // Cylndr142
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    translate  3.0*z
  }
  cylinder { // Cylndr143
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 1.5, 1.0>
    translate  <0.0, -0.730131, 2.820377>
  }
  cylinder { // Cylndr144
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr145
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 2.0>
    rotate -62.596294*x
    translate  <0.0, -1.994712, 3.417017>
  }
  cylinder { // Cylndr146
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 0.8, 0.2>
    rotate -90.0*y
    translate  <0.1, 0.0, 5.0>
  }
  cylinder { // Cylndr147
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.9, 1.6, 0.5>
    translate  <0.0, -0.736314, 2.577158>
  }
  rotate -0.0*x
  translate  <0.0, 0.0, -5.009369>
  rotate -0.056697*x
  translate  -4.96*z
}
#declare lowerleg7 = union {
  cylinder { // Cylndr148
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.85, 0.85, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr149
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 5.0>
  }
  cylinder { // Cylndr150
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.4>
    rotate -90.0*y
    translate  <0.7, 0.0, 5.0>
  }
  cylinder { // Cylndr151
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.3, 5.0>
    rotate -1.781631*x
    translate  <0.0, 0.331235, -0.039922>
  }
  cylinder { // Cylndr152
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.1, 1.1, 0.3>
    rotate -90.0*y
    translate  <0.15, 0.0, 5.0>
  }
  rotate 0.0*x
  translate  <0.0, -0.0, -5.011903>
  translate  0.011903*z
}
#declare legpartlow7 = union {
  object { foot7 }
  object { lowerleg7 }
  rotate -31.335747*x
}
#declare upperleg7 = union {
  cylinder { // Cylndr153
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    rotate -90.0*y
    translate  <0.5, 0.0, 4.0>
  }
  cylinder { // Cylndr154
    <0,0,1>, <0,0,0>, 1 
    material {
      teamripskin
    }
    scale <0.5, 0.5, 4.0>
  }
  cylinder { // Cylndr155
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 1.5>
    rotate -90.0*y
    translate  <0.75, 0.0, 4.0>
  }
  cylinder { // Cylndr156
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.166667, 0.333333, 4.166667>
    rotate -4.083894*x
    translate  <0.0, 0.287502, -0.066095>
  }
  cylinder { // Cylndr157
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.25, 1.25, 0.333333>
    rotate -90.0*y
    translate  <0.166667, 0.0, 4.0>
  }
  cylinder { // Cylndr158
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.333333, 0.333333, 2.5>
    rotate <-169.493759, 0.0, -0.0>
    translate  <0.0, -0.549376, 3.84116>
  }
  rotate 0.0*x
  translate  <0.0, 0.0, -4.0156>
  scale 1.2
  translate  4.81872*z
}
#declare legpart7 = union {
  object { legpartlow7 }
  object { upperleg7 }
  rotate 0.0*x
  translate  <0.0, 0.014693, -4.821539>
  rotate 31.509888*x
  translate  12.25*z
}
#declare Link7 = union {
  cylinder { // Cylndr159
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.5, 1.5, 1.6>
    rotate -90.0*y
    translate  <0.8, 0.0, 5.5>
  }
  cylinder { // Cylndr160
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.7, 1.7, 0.8>
    rotate -90.0*y
    translate  <0.4, 0.0, 5.5>
  }
  translate  7.5*z
}


#declare foot6 = union {
  cylinder { // Cylndr121
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.7, 0.7, 1.0>
    rotate -90.0*y
    translate  <0.5, 0.0, 5.0>
  }
  cylinder { // Cylndr122
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    translate  3.0*z
  }
  cylinder { // Cylndr123
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 1.5, 1.0>
    translate  <0.0, -0.730131, 2.820377>
  }
  cylinder { // Cylndr124
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr125
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 2.0>
    rotate -62.596294*x
    translate  <0.0, -1.994712, 3.417017>
  }
  cylinder { // Cylndr126
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 0.8, 0.2>
    rotate -90.0*y
    translate  <0.1, 0.0, 5.0>
  }
  cylinder { // Cylndr127
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.9, 1.6, 0.5>
    translate  <0.0, -0.736314, 2.577158>
  }
  rotate -0.0*x
  translate  <0.0, 0.0, -5.009369>
  rotate 24.351503*x
  translate  -4.96*z
}
#declare lowerleg6 = union {
  cylinder { // Cylndr128
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.85, 0.85, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr129
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 5.0>
  }
  cylinder { // Cylndr130
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.4>
    rotate -90.0*y
    translate  <0.7, 0.0, 5.0>
  }
  cylinder { // Cylndr131
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.3, 5.0>
    rotate -1.781631*x
    translate  <0.0, 0.331235, -0.039922>
  }
  cylinder { // Cylndr132
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.1, 1.1, 0.3>
    rotate -90.0*y
    translate  <0.15, 0.0, 5.0>
  }
  rotate 0.0*x
  translate  <0.0, -0.0, -5.011903>
  translate  0.011903*z
}
#declare legpartlow6 = union {
  object { foot6 }
  object { lowerleg6 }
  rotate -23.617352*x
}
#declare upperleg6 = union {
  cylinder { // Cylndr133
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    rotate -90.0*y
    translate  <0.5, 0.0, 4.0>
  }
  cylinder { // Cylndr134
    <0,0,1>, <0,0,0>, 1 
    material {
      teamripskin
    }
    scale <0.5, 0.5, 4.0>
  }
  cylinder { // Cylndr135
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 1.5>
    rotate -90.0*y
    translate  <0.75, 0.0, 4.0>
  }
  cylinder { // Cylndr136
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.166667, 0.333333, 4.166667>
    rotate -4.083894*x
    translate  <0.0, 0.287502, -0.066095>
  }
  cylinder { // Cylndr137
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.25, 1.25, 0.333333>
    rotate -90.0*y
    translate  <0.166667, 0.0, 4.0>
  }
  cylinder { // Cylndr138
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.333333, 0.333333, 2.5>
    rotate <-169.493759, 0.0, -0.0>
    translate  <0.0, -0.549376, 3.84116>
  }
  rotate 0.0*x
  translate  <0.0, 0.0, -4.0156>
  scale 1.2
  translate  4.81872*z
}
#declare legpart6 = union {
  object { legpartlow6 }
  object { upperleg6 }
  rotate 0.0*x
  translate  <0.0, 0.014693, -4.821539>
  rotate -1.340278*x
  translate  12.25*z
}
#declare Link6 = union {
  cylinder { // Cylndr139
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.5, 1.5, 1.6>
    rotate -90.0*y
    translate  <0.8, 0.0, 5.5>
  }
  cylinder { // Cylndr140
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.7, 1.7, 0.8>
    rotate -90.0*y
    translate  <0.4, 0.0, 5.5>
  }
  translate  7.5*z
}


#declare foot5 = union {
  cylinder { // Cylndr101
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.7, 0.7, 1.0>
    rotate -90.0*y
    translate  <0.5, 0.0, 5.0>
  }
  cylinder { // Cylndr102
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    translate  3.0*z
  }
  cylinder { // Cylndr103
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 1.5, 1.0>
    translate  <0.0, -0.730131, 2.820377>
  }
  cylinder { // Cylndr104
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr105
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 2.0>
    rotate -62.596294*x
    translate  <0.0, -1.994712, 3.417017>
  }
  cylinder { // Cylndr106
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 0.8, 0.2>
    rotate -90.0*y
    translate  <0.1, 0.0, 5.0>
  }
  cylinder { // Cylndr107
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.9, 1.6, 0.5>
    translate  <0.0, -0.736314, 2.577158>
  }
  rotate -0.0*x
  translate  <0.0, 0.0, -5.009369>
  rotate 21.257708*x
  translate  -4.96*z
}
#declare lowerleg5 = union {
  cylinder { // Cylndr108
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.85, 0.85, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr109
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 5.0>
  }
  cylinder { // Cylndr110
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.4>
    rotate -90.0*y
    translate  <0.7, 0.0, 5.0>
  }
  cylinder { // Cylndr111
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.3, 5.0>
    rotate -1.781631*x
    translate  <0.0, 0.331235, -0.039922>
  }
  cylinder { // Cylndr112
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.1, 1.1, 0.3>
    rotate -90.0*y
    translate  <0.15, 0.0, 5.0>
  }
  rotate 0.0*x
  translate  <0.0, -0.0, -5.011903>
  translate  0.011903*z
}
#declare legpartlow5 = union {
  object { foot5 }
  object { lowerleg5 }
  rotate -0.975934*x
}
#declare upperleg5 = union {
  cylinder { // Cylndr113
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    rotate -90.0*y
    translate  <0.5, 0.0, 4.0>
  }
  cylinder { // Cylndr114
    <0,0,1>, <0,0,0>, 1 
    material {
      teamripskin
    }
    scale <0.5, 0.5, 4.0>
  }
  cylinder { // Cylndr115
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 1.5>
    rotate -90.0*y
    translate  <0.75, 0.0, 4.0>
  }
  cylinder { // Cylndr116
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.166667, 0.333333, 4.166667>
    rotate -4.083894*x
    translate  <0.0, 0.287502, -0.066095>
  }
  cylinder { // Cylndr117
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.25, 1.25, 0.333333>
    rotate -90.0*y
    translate  <0.166667, 0.0, 4.0>
  }
  cylinder { // Cylndr118
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.333333, 0.333333, 2.5>
    rotate <-169.493759, 0.0, -0.0>
    translate  <0.0, -0.549376, 3.84116>
  }
  rotate 0.0*x
  translate  <0.0, 0.0, -4.0156>
  scale 1.2
  translate  4.81872*z
}
#declare legpart5 = union {
  object { legpartlow5 }
  object { upperleg5 }
  rotate 0.0*x
  translate  <0.0, 0.014693, -4.821539>
  rotate -20.955902*x
  translate  12.25*z
}
#declare Link5 = union {
  cylinder { // Cylndr119
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.5, 1.5, 1.6>
    rotate -90.0*y
    translate  <0.8, 0.0, 5.5>
  }
  cylinder { // Cylndr120
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.7, 1.7, 0.8>
    rotate -90.0*y
    translate  <0.4, 0.0, 5.5>
  }
  translate  7.5*z
}


#declare foot4 = union {
  cylinder { // Cylndr081
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.7, 0.7, 1.0>
    rotate -90.0*y
    translate  <0.5, 0.0, 5.0>
  }
  cylinder { // Cylndr082
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    translate  3.0*z
  }
  cylinder { // Cylndr083
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 1.5, 1.0>
    translate  <0.0, -0.730131, 2.820377>
  }
  cylinder { // Cylndr084
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr085
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 2.0>
    rotate -62.596294*x
    translate  <0.0, -1.994712, 3.417017>
  }
  cylinder { // Cylndr086
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 0.8, 0.2>
    rotate -90.0*y
    translate  <0.1, 0.0, 5.0>
  }
  cylinder { // Cylndr087
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.9, 1.6, 0.5>
    translate  <0.0, -0.736314, 2.577158>
  }
  rotate -0.0*x
  translate  <0.0, 0.0, -5.009369>
  rotate 32.850109*x
  translate  -4.96*z
}
#declare lowerleg4 = union {
  cylinder { // Cylndr088
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.85, 0.85, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr089
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 5.0>
  }
  cylinder { // Cylndr090
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.4>
    rotate -90.0*y
    translate  <0.7, 0.0, 5.0>
  }
  cylinder { // Cylndr091
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.3, 5.0>
    rotate -1.781631*x
    translate  <0.0, 0.331235, -0.039922>
  }
  cylinder { // Cylndr092
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.1, 1.1, 0.3>
    rotate -90.0*y
    translate  <0.15, 0.0, 5.0>
  }
  rotate 0.0*x
  translate  <0.0, -0.0, -5.011903>
  translate  0.011903*z
}
#declare legpartlow4 = union {
  object { foot4 }
  object { lowerleg4 }
  rotate -39.391125*x
}
#declare upperleg4 = union {
  cylinder { // Cylndr093
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    rotate -90.0*y
    translate  <0.5, 0.0, 4.0>
  }
  cylinder { // Cylndr094
    <0,0,1>, <0,0,0>, 1 
    material {
      teamripskin
    }
    scale <0.5, 0.5, 4.0>
  }
  cylinder { // Cylndr095
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 1.5>
    rotate -90.0*y
    translate  <0.75, 0.0, 4.0>
  }
  cylinder { // Cylndr096
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.166667, 0.333333, 4.166667>
    rotate -4.083894*x
    translate  <0.0, 0.287502, -0.066095>
  }
  cylinder { // Cylndr097
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.25, 1.25, 0.333333>
    rotate -90.0*y
    translate  <0.166667, 0.0, 4.0>
  }
  cylinder { // Cylndr098
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.333333, 0.333333, 2.5>
    rotate <-169.493759, 0.0, -0.0>
    translate  <0.0, -0.549376, 3.84116>
  }
  rotate 0.0*x
  translate  <0.0, 0.0, -4.0156>
  scale 1.2
  translate  4.81872*z
}
#declare legpart4 = union {
  object { legpartlow4 }
  object { upperleg4 }
  rotate 0.0*x
  translate  <0.0, 0.014693, -4.821539>
  rotate -10.624631*x
  translate  12.25*z
}
#declare Link4 = union {
  cylinder { // Cylndr099
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.5, 1.5, 1.6>
    rotate -90.0*y
    translate  <0.8, 0.0, 5.5>
  }
  cylinder { // Cylndr100
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.7, 1.7, 0.8>
    rotate -90.0*y
    translate  <0.4, 0.0, 5.5>
  }
  translate  7.5*z
}


#declare foot3 = union {
  cylinder { // Cylndr061
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.7, 0.7, 1.0>
    rotate -90.0*y
    translate  <0.5, 0.0, 5.0>
  }
  cylinder { // Cylndr062
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    translate  3.0*z
  }
  cylinder { // Cylndr063
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 1.5, 1.0>
    translate  <0.0, -0.730131, 2.820377>
  }
  cylinder { // Cylndr064
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr065
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 2.0>
    rotate -62.596294*x
    translate  <0.0, -1.994712, 3.417017>
  }
  cylinder { // Cylndr066
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 0.8, 0.2>
    rotate -90.0*y
    translate  <0.1, 0.0, 5.0>
  }
  cylinder { // Cylndr067
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.9, 1.6, 0.5>
    translate  <0.0, -0.736314, 2.577158>
  }
  rotate -0.0*x
  translate  <0.0, 0.0, -5.009369>
  rotate 48.585609*x
  translate  -4.96*z
}
#declare lowerleg3 = union {
  cylinder { // Cylndr068
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.85, 0.85, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr069
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 5.0>
  }
  cylinder { // Cylndr070
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.4>
    rotate -90.0*y
    translate  <0.7, 0.0, 5.0>
  }
  cylinder { // Cylndr071
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.3, 5.0>
    rotate -1.781631*x
    translate  <0.0, 0.331235, -0.039922>
  }
  cylinder { // Cylndr072
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.1, 1.1, 0.3>
    rotate -90.0*y
    translate  <0.15, 0.0, 5.0>
  }
  rotate 0.0*x
  translate  <0.0, -0.0, -5.011903>
  translate  0.011903*z
}
#declare legpartlow3 = union {
  object { foot3 }
  object { lowerleg3 }
  rotate -82.489693*x
}
#declare upperleg3 = union {
  cylinder { // Cylndr073
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    rotate -90.0*y
    translate  <0.5, 0.0, 4.0>
  }
  cylinder { // Cylndr074
    <0,0,1>, <0,0,0>, 1 
    material {
      teamripskin
    }
    scale <0.5, 0.5, 4.0>
  }
  cylinder { // Cylndr075
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 1.5>
    rotate -90.0*y
    translate  <0.75, 0.0, 4.0>
  }
  cylinder { // Cylndr076
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.166667, 0.333333, 4.166667>
    rotate -4.083894*x
    translate  <0.0, 0.287502, -0.066095>
  }
  cylinder { // Cylndr077
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.25, 1.25, 0.333333>
    rotate -90.0*y
    translate  <0.166667, 0.0, 4.0>
  }
  cylinder { // Cylndr078
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.333333, 0.333333, 2.5>
    rotate <-169.493759, 0.0, -0.0>
    translate  <0.0, -0.549376, 3.84116>
  }
  rotate 0.0*x
  translate  <0.0, 0.0, -4.0156>
  scale 1.2
  translate  4.81872*z
}
#declare legpart3 = union {
  object { legpartlow3 }
  object { upperleg3 }
  rotate 0.0*x
  translate  <0.0, 0.014693, -4.821539>
  rotate 15.142126*x
  translate  12.25*z
}
#declare Link3 = union {
  cylinder { // Cylndr079
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.5, 1.5, 1.6>
    rotate -90.0*y
    translate  <0.8, 0.0, 5.5>
  }
  cylinder { // Cylndr080
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.7, 1.7, 0.8>
    rotate -90.0*y
    translate  <0.4, 0.0, 5.5>
  }
  translate  7.5*z
}


#declare foot2 = union {
  cylinder { // Cylndr041
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.7, 0.7, 1.0>
    rotate -90.0*y
    translate  <0.5, 0.0, 5.0>
  }
  cylinder { // Cylndr042
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    translate  3.0*z
  }
  cylinder { // Cylndr043
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 1.5, 1.0>
    translate  <0.0, -0.730131, 2.820377>
  }
  cylinder { // Cylndr044
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr045
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 2.0>
    rotate -62.596294*x
    translate  <0.0, -1.994712, 3.417017>
  }
  cylinder { // Cylndr046
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 0.8, 0.2>
    rotate -90.0*y
    translate  <0.1, 0.0, 5.0>
  }
  cylinder { // Cylndr047
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.9, 1.6, 0.5>
    translate  <0.0, -0.736314, 2.577158>
  }
  rotate -0.0*x
  translate  <0.0, 0.0, -5.009369>
  rotate 44.258945*x
  translate  -4.96*z
}
#declare lowerleg2 = union {
  cylinder { // Cylndr048
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.85, 0.85, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr049
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 5.0>
  }
  cylinder { // Cylndr050
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.4>
    rotate -90.0*y
    translate  <0.7, 0.0, 5.0>
  }
  cylinder { // Cylndr051
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.3, 5.0>
    rotate -1.781631*x
    translate  <0.0, 0.331235, -0.039922>
  }
  cylinder { // Cylndr052
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.1, 1.1, 0.3>
    rotate -90.0*y
    translate  <0.15, 0.0, 5.0>
  }
  rotate 0.0*x
  translate  <0.0, -0.0, -5.011903>
  translate  0.011903*z
}
#declare legpartlow2 = union {
  object { foot2 }
  object { lowerleg2 }
  rotate -90.108986*x
}
#declare upperleg2 = union {
  cylinder { // Cylndr053
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    rotate -90.0*y
    translate  <0.5, 0.0, 4.0>
  }
  cylinder { // Cylndr054
    <0,0,1>, <0,0,0>, 1 
    material {
      teamripskin
    }
    scale <0.5, 0.5, 4.0>
  }
  cylinder { // Cylndr055
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 1.5>
    rotate -90.0*y
    translate  <0.75, 0.0, 4.0>
  }
  cylinder { // Cylndr056
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.166667, 0.333333, 4.166667>
    rotate -4.083894*x
    translate  <0.0, 0.287502, -0.066095>
  }
  cylinder { // Cylndr057
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.25, 1.25, 0.333333>
    rotate -90.0*y
    translate  <0.166667, 0.0, 4.0>
  }
  cylinder { // Cylndr058
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.333333, 0.333333, 2.5>
    rotate <-169.493759, 0.0, -0.0>
    translate  <0.0, -0.549376, 3.84116>
  }
  rotate 0.0*x
  translate  <0.0, 0.0, -4.0156>
  scale 1.2
  translate  4.81872*z
}
#declare legpart2 = union {
  object { legpartlow2 }
  object { upperleg2 }
  rotate 0.0*x
  translate  <0.0, 0.014693, -4.821539>
  rotate 47.012886*x
  translate  12.25*z
}
#declare Link2 = union {
  cylinder { // Cylndr059
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.5, 1.5, 1.6>
    rotate -90.0*y
    translate  <0.8, 0.0, 5.5>
  }
  cylinder { // Cylndr060
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.7, 1.7, 0.8>
    rotate -90.0*y
    translate  <0.4, 0.0, 5.5>
  }
  translate  7.5*z
}


#declare foot1 = union {
  cylinder { // Cylndr021
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.7, 0.7, 1.0>
    rotate -90.0*y
    translate  <0.5, 0.0, 5.0>
  }
  cylinder { // Cylndr022
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    translate  3.0*z
  }
  cylinder { // Cylndr023
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 1.5, 1.0>
    translate  <0.0, -0.730131, 2.820377>
  }
  cylinder { // Cylndr024
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr025
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 2.0>
    rotate -62.596294*x
    translate  <0.0, -1.994712, 3.417017>
  }
  cylinder { // Cylndr026
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 0.8, 0.2>
    rotate -90.0*y
    translate  <0.1, 0.0, 5.0>
  }
  cylinder { // Cylndr027
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.9, 1.6, 0.5>
    translate  <0.0, -0.736314, 2.577158>
  }
  rotate -0.0*x
  translate  <0.0, 0.0, -5.009369>
  rotate 16.234955*x
  translate  -4.96*z
}
#declare lowerleg1 = union {
  cylinder { // Cylndr028
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.85, 0.85, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr029
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 5.0>
  }
  cylinder { // Cylndr030
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.4>
    rotate -90.0*y
    translate  <0.7, 0.0, 5.0>
  }
  cylinder { // Cylndr031
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.3, 5.0>
    rotate -1.781631*x
    translate  <0.0, 0.331235, -0.039922>
  }
  cylinder { // Cylndr032
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.1, 1.1, 0.3>
    rotate -90.0*y
    translate  <0.15, 0.0, 5.0>
  }
  rotate 0.0*x
  translate  <0.0, -0.0, -5.011903>
  translate  0.011903*z
}
#declare legpartlow1 = union {
  object { foot1 }
  object { lowerleg1 }
  rotate -39.110119*x
}
#declare upperleg1 = union {
  cylinder { // Cylndr033
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    rotate -90.0*y
    translate  <0.5, 0.0, 4.0>
  }
  cylinder { // Cylndr034
    <0,0,1>, <0,0,0>, 1 
    material {
      teamripskin
    }
    scale <0.5, 0.5, 4.0>
  }
  cylinder { // Cylndr035
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 1.5>
    rotate -90.0*y
    translate  <0.75, 0.0, 4.0>
  }
  cylinder { // Cylndr036
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.166667, 0.333333, 4.166667>
    rotate -4.083894*x
    translate  <0.0, 0.287502, -0.066095>
  }
  cylinder { // Cylndr037
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.25, 1.25, 0.333333>
    rotate -90.0*y
    translate  <0.166667, 0.0, 4.0>
  }
  cylinder { // Cylndr038
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.333333, 0.333333, 2.5>
    rotate <-169.493759, 0.0, -0.0>
    translate  <0.0, -0.549376, 3.84116>
  }
  rotate 0.0*x
  translate  <0.0, 0.0, -4.0156>
  scale 1.2
  translate  4.81872*z
}
#declare legpart1 = union {
  object { legpartlow1 }
  object { upperleg1 }
  rotate 0.0*x
  translate  <0.0, 0.014693, -4.821539>
  rotate 22.882671*x
  translate  12.25*z
}
#declare Link1 = union {
  cylinder { // Cylndr039
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.5, 1.5, 1.6>
    rotate -90.0*y
    translate  <0.8, 0.0, 5.5>
  }
  cylinder { // Cylndr040
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.7, 1.7, 0.8>
    rotate -90.0*y
    translate  <0.4, 0.0, 5.5>
  }
  translate  7.5*z
}


#declare foot = union {
  cylinder { // Cylndr010
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.7, 0.7, 1.0>
    rotate -90.0*y
    translate  <0.5, 0.0, 5.0>
  }
  cylinder { // Cylndr011
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    translate  3.0*z
  }
  cylinder { // Cylndr005
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 1.5, 1.0>
    translate  <0.0, -0.730131, 2.820377>
  }
  cylinder { // Cylndr012
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr013
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 2.0>
    rotate -62.596294*x
    translate  <0.0, -1.994712, 3.417017>
  }
  cylinder { // Cylndr016
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.8, 0.8, 0.2>
    rotate -90.0*y
    translate  <0.1, 0.0, 5.0>
  }
  cylinder { // Cylndr019
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.9, 1.6, 0.5>
    translate  <0.0, -0.736314, 2.577158>
  }
  rotate -0.0*x
  translate  <0.0, 0.0, -5.009369>
  translate  -4.990631*z
}
#declare lowerleg = union {
  cylinder { // Cylndr003
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.85, 0.85, 1.2>
    rotate -90.0*y
    translate  <0.6, 0.0, 5.0>
  }
  cylinder { // Cylndr004
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 5.0>
  }
  cylinder { // Cylndr008
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.2, 1.4>
    rotate -90.0*y
    translate  <0.7, 0.0, 5.0>
  }
  cylinder { // Cylndr014
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.2, 0.3, 5.0>
    rotate -1.781631*x
    translate  <0.0, 0.331235, -0.039922>
  }
  cylinder { // Cylndr015
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.1, 1.1, 0.3>
    rotate -90.0*y
    translate  <0.15, 0.0, 5.0>
  }
  rotate 0.0*x
  translate  <0.0, -0.0, -5.011903>
  translate  0.011903*z
}
#declare legpartlow = union {
  object { foot }
  object { lowerleg }
}
#declare upperleg = union {
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    rotate -90.0*y
    translate  <0.5, 0.0, 4.0>
  }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    material {
      teamripskin
    }
    scale <0.5, 0.5, 4.0>
  }
  cylinder { // Cylndr007
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.4, 0.4, 1.5>
    rotate -90.0*y
    translate  <0.75, 0.0, 4.0>
  }
  cylinder { // Cylndr006
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.166667, 0.333333, 4.166667>
    rotate -4.083894*x
    translate  <0.0, 0.287502, -0.066095>
  }
  cylinder { // Cylndr017
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.25, 1.25, 0.333333>
    rotate -90.0*y
    translate  <0.166667, 0.0, 4.0>
  }
  cylinder { // Cylndr020
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.333333, 0.333333, 2.5>
    rotate <-169.493759, 0.0, -0.0>
    translate  <0.0, -0.549376, 3.84116>
  }
  rotate 0.0*x
  translate  <0.0, 0.0, -4.0156>
  scale 1.2
  translate  4.81872*z
}
#declare legpart = union {
  object { legpartlow }
  object { upperleg }
  rotate 0.0*x
  translate  <0.0, 0.014693, -4.821539>
  translate  12.25*z
}
#declare Link = union {
  cylinder { // Cylndr009
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.5, 1.5, 1.6>
    rotate -90.0*y
    translate  <0.8, 0.0, 5.5>
  }
  cylinder { // Cylndr018
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <1.7, 1.7, 0.8>
    rotate -90.0*y
    translate  <0.4, 0.0, 5.5>
  }
  translate  7.5*z
}

#declare legAw09 =
union { // legMAMw09
  object { legpart3 }
  object { Link3 }
  translate  -0.609258*z
}
#declare legAw08 =
union { // legMAMw08
  object { legpart2 }
  object { Link2 }
  translate  -0.609258*z
}
#declare legAw07 =
union { // legMAMw07
  object { legpart11 }
  object { Link11 }
  translate  -0.609258*z
}
#declare legAw06 =
union { // legMAMw06
  object { legpart10 }
  object { Link10 }
  translate  -0.609258*z
}
#declare legAw05 =
union { // legMAMw05
  object { legpart9 }
  object { Link9 }
  translate  -0.609258*z
}
#declare legAw04 =
union { // legMAMw04
  object { legpart7 }
  object { Link7 }
  translate  -0.609258*z
}
#declare legAw03 =
union { // legMAMw03
  object { legpart8 }
  object { Link8 }
  translate  -0.609258*z
}
#declare legAw02 =
union { // legMAMw02
  object { legpart6 }
  object { Link6 }
  translate  -0.609258*z
}
#declare legAw01 =
union { // legMAMw01
  object { legpart5 }
  object { Link5 }
  translate  -0.609258*z
}
#declare legAw00 =
union { // legMAMw00
  object { legpart4 }
  object { Link4 }
  translate  -0.609258*z
}
#declare legAs01 =
union { // legMAMs01
  object { legpart1 }
  object { Link1 }
  translate  -0.609258*z
}
#declare legAs00 =
union { // legMAMs00
  object { legpart }
  object { Link }
}

//
// ********  OBJECTS  Body *******
//

#declare bodypart = difference {
  cylinder { // Cylndr221
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <3.0, 3.0, 7.0>
  }
  torus { // Torus001
    1.5, 0.3  rotate -x*90
    shirtnumber(label)    
    scale <2.213884, 2.213884, 4.0>
    translate  4.0*z
  }
  cylinder { // Cylndr222
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <2.0, 4.0, 12.0>
    rotate -90.0*x
    translate  <2.590095, -6.0, -0.878368>
  }
  cylinder { // Cylndr223
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <2.0, 4.0, 12.0>
    rotate -90.0*x
    translate  <-2.59009, -6.0, -0.878368>
  }
  scale <1.0, 0.7, 1.0>
}
#declare head = union {
  sphere { // headpart
    <0,0,0>,1
    material {
      teamskin
    }
    scale <1.9, 1.9, 1.8>
    translate  <0.236902, -1.5, 7.0>
  }
  cylinder { // eyeright
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    rotate -90.0*x
    translate  <0.84155, -3.440553, 7.537347>
  }
  cylinder { // eyeleft
    <0,0,1>, <0,0,0>, 1 
    material {
      teamskin
    }
    scale <0.5, 0.5, 2.0>
    rotate -90.0*x
    translate  <-0.841553, -3.440553, 7.537347>
  }
}
#declare body =
union { // body
  object { bodypart }
  object { head }
  translate  11.0*z
}

union {

#local stepstate = mod(left_step,12.0);
#switch (stepstate)
#case (0.0)
        object {legAw00  translate <-2,0,0>}
#break
#case (1.0)
        object {legAw01  translate <-2,0,0>}
#break
#case (2.0)
        object {legAw02  translate <-2,0,0>}
#break
#case (3.0)
        object {legAw03  translate <-2,0,0>}
#break
#case (4.0)
        object {legAw04  translate <-2,0,0>}
#break
#case (5.0)
        object {legAw05  translate <-2,0,0>}
#break
#case (6.0)
        object {legAw06  translate <-2,0,0>}
#break
#case (7.0)
        object {legAw07  translate <-2,0,0>}
#break
#case (8.0)
        object {legAw08  translate <-2,0,0>}
#break
#case (9.0)
        object {legAw09  translate <-2,0,0>}
#break
#case (10.0)
        object {legAs00  translate <-2,0,0>}
#break
#case (11.0)
        object {legAs01  translate <-2,0,0>}
#break
#end

#local stepstate = mod(right_step,12.0);
#switch (stepstate)
#case (0.0)
        object {legAw00  translate <2,0,0>}
#break
#case (1.0)
        object {legAw01  translate <2,0,0>}
#break
#case (2.0)
        object {legAw02  translate <2,0,0>}
#break
#case (3.0)
        object {legAw03  translate <2,0,0>}
#break
#case (4.0)
        object {legAw04  translate <2,0,0>}
#break
#case (5.0)
        object {legAw05  translate <2,0,0>}
#break
#case (6.0)
        object {legAw06  translate <2,0,0>}
#break
#case (7.0)
        object {legAw07  translate <2,0,0>}
#break
#case (8.0)
        object {legAw08  translate <2,0,0>}
#break
#case (9.0)
        object {legAw09  translate <2,0,0>}
#break
#case (10.0)
        object {legAs00  translate <2,0,0>}
#break
#case (11.0)
        object {legAs01  translate <2,0,0>}
#break
#end

#if (left_step=10 & right_step=10)
object {body
        translate <0,0,1> }
#else
object {body}
#end
}
#end  // macro BasicRobot



// WALKING ROBOT
// 10 step from 0..9 are 1 cycle, distance = 18 units
#macro WalkingRobot (team, label, step)
#local stepstate = mod(step,10.0);
#switch (stepstate)
#case (0.0)
        BasicRobot (team, label, 0, 5)
#break
#case (1.0)
        BasicRobot (team, label, 1, 6)
#break
#case (2.0)
        BasicRobot (team, label, 2, 7)
#break
#case (3.0)
        BasicRobot (team, label, 3, 8)
#break
#case (4.0)
        BasicRobot (team, label, 4, 9)
#break
#case (5.0)
        BasicRobot (team, label, 5, 0)
#break
#case (6.0)
        BasicRobot (team, label, 6, 1)
#break
#case (7.0)
        BasicRobot (team, label, 7, 2)
#break
#case (8.0)
        BasicRobot (team, label, 8, 3)
#break
#case (9.0)
        BasicRobot (team, label, 9, 4)
#break
#end
#end


// STARTING ROBOT
// 3 step from 0..2 are 1 cycle, distance = 4 units
#macro StartingRobot (team, label, step)
#local stepstate = mod(step,3.0);
#switch (stepstate)
#case (0.0)
        BasicRobot (team, label, 11, 11)
#break
#case (1.0)
        BasicRobot (team, label, 8, 3)
#break
#case (2.0)
        BasicRobot (team, label, 9, 4)
#break
#end
#end


// STOPPING ROBOT
// 4 step from 0..3 are 1 cycle, distance = 5 units
#macro StoppingRobot (team, label, step)
#local stepstate = mod(step,4.0);
#switch (stepstate)
#case (0.0)
        BasicRobot (team, label, 0, 5)
#break
#case (1.0)
        BasicRobot (team, label, 1, 6)
#break
#case (2.0)
        BasicRobot (team, label, 2, 7)
#break
#case (3.0)
        BasicRobot (team, label, 11, 11)
#break
#end
#end


// STANDING ROBOT
// 0 steps from 0..infinity are 1 cycle, distance = 0 units
#macro StandingRobot (team, label)
        BasicRobot (team, label, 10, 10)
#end