//  Persistance of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 1 lights, 2 materials and 3 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 12/10/1999    (10.12.1999)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/


/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 32
  max_trace_level 5
  number_of_waves 10
}


background { color <0.000,0.000,0.0> }


//
// *******  L I G H T S *******
//

//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//
// ********  MATERIALS  *******
//



//
// ********  MISC  *******
//


//
// ********  OBJECTS  *******
//

#include "player.pov"
#include "stadium.pov"
//#include "spaceship.pov"
//#include "spacescene.pov"
#include "ball.pov"
//#include "text.pov"


//--------------------------------------------------------------------------



// structure 
#declare playernr=0;
#declare posvec=<0,0,0>;
#declare rotvec=<0,0,0>;
#declare camerapos=<0,0,0>;
#declare camera2pos=<0,0,0>;
#declare ballpos=<0,0,0>;
#declare cameralookat=<0,0,0>;
#declare state=1;
#declare typ=0;

#fopen MyFile concat("povframes\frame",str(clock/clock_delta,0,0),".txt") read
#while (defined(MyFile))
    #read (MyFile,typ,team,playernr,state,posvec,rotvec)
    #switch (typ)
    #case (0) //logo, camera
        #switch (state)
        #case (1)
           #declare camerapos =posvec;
        #break
        #case (2)
           #declare camera2pos =posvec;
        #break
        #end
    #break
    #case (1) //robot
        object {
           WalkingRobot (team, playernr, state)
           rotate rotvec
           translate posvec
          }
    #break
    #case (2) //ball
        object {
           ball
           rotate rotvec
           translate posvec
          }
          #declare ballpos = posvec;
    #break
    #end  
#end
#fclose MyFile


//#declare camerapos =    <  -50, -50,    50>;
//#declare cameralookat = <     0,    0,      0>;

camera {  //  Camera StdCam
  location  camerapos
  direction <        0.0,         0.0,        2.00> // Aperture is  degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   ballpos
}
